Skip to main content
POST
/
workflows
/
{id}
/
promote
Promote a workflow from test to live environment
curl --request POST \
  --url https://api.artu.ai/workflows/{id}/promote \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Environment: <api-key>'
{
  "testWorkflow": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organizationId": "<string>",
    "name": "<string>",
    "workflow": {
      "nodes": [],
      "edges": []
    },
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "description": "<string>",
    "externalId": "<string>",
    "metadata": {},
    "liveWorkflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "testWorkflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "promotedAt": "<string>",
    "tags": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "color": "<string>"
      }
    ]
  },
  "liveWorkflow": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organizationId": "<string>",
    "name": "<string>",
    "workflow": {
      "nodes": [],
      "edges": []
    },
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "description": "<string>",
    "externalId": "<string>",
    "metadata": {},
    "liveWorkflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "testWorkflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "promotedAt": "<string>",
    "tags": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "color": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

id
string<uuid>
required

Response

200 - application/json

OK

testWorkflow
object
required
liveWorkflow
object
required